Bug 137967 - update to net-mgmt/chillispot rc script
Summary: update to net-mgmt/chillispot rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-19 16:40 UTC by Sevan Janiyan
Modified: 2009-10-18 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.54 KB, patch)
2009-08-19 16:40 UTC, Sevan Janiyan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2009-08-19 16:40:01 UTC
drop the .sh extension from the chillispot rc script
update the rc script so that it's simplified
remove ipfilter from the BEFORE statement in the rc script so that chillispot now starts correctly during boot.
use the current correct way to stop chillispot during uninstall.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-08-19 16:40:11 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Rong-En Fan freebsd_committer 2009-10-17 11:03:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 3 dfilter service freebsd_committer 2009-10-18 16:03:12 UTC
rafan       2009-10-18 15:03:03 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/chillispot  Makefile pkg-plist 
  Added files:
    net-mgmt/chillispot/files chillispot.in 
  Removed files:
    net-mgmt/chillispot/files chillispot.sh.in 
  Log:
  - Drop the old .sh extension for rc script
  - Remove ipfilter from PROVIDER so that chillispot can start up correctly
    at boot time
  - Utilize @stopdaemon
  - Bump PORTREVISION
  
  PR:             ports/137967
  Submitted by:   Sevan Janiyan <venture37 at geeklan.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.10      +2 -2      ports/net-mgmt/chillispot/Makefile
  1.1       +23 -0     ports/net-mgmt/chillispot/files/chillispot.in (new)
  1.2       +0 -26     ports/net-mgmt/chillispot/files/chillispot.sh.in (dead)
  1.4       +1 -1      ports/net-mgmt/chillispot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Rong-En Fan freebsd_committer 2009-10-18 16:03:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!